import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import ElementUI from 'element-ui'
import util from '@/util'
import '@/styles/index.scss';
const systemId = util.getCookie('systemId')
if (systemId.includes(',')) {
  import('@/styles/theme/theme7.scss')
} else {
  if (systemId == 1) {
    import('@/styles/theme/theme1.scss')
  } else if (systemId == 4) {
    import('@/styles/theme/theme4.scss')
  } else if (systemId == 5) {
    import('@/styles/theme/theme5.scss')
  } else if (systemId == 6) {
    import('@/styles/theme/theme6.scss')
  } else if (systemId == 7) {
    import('@/styles/theme/theme7.scss')
  } else if (systemId == 8) {
    import('@/styles/theme/theme8.scss')
  } else if (systemId == 9) {
    import('@/styles/theme/theme9.scss')
  } else if (systemId == 10) {
    import('@/styles/theme/theme10.scss')
  } else if (systemId == 13) {
    import('@/styles/theme/theme13.scss')
  } else if (systemId == 14) {
    import('@/styles/theme/theme14.scss')
  } else if (systemId == 15) {
    import('@/styles/theme/theme13.scss')
  } else if (systemId == 16) {
    import('@/styles/theme/theme13.scss')
  } else if (systemId == 17) {
    import('@/styles/theme/theme10.scss')
  } else if (systemId == 18) {
    import('@/styles/theme/theme10.scss')
  }
}
import api from './api';
import {
  post,
  get,
  del,
  put
} from './api/http';
import VueCodeMirror from "vue-codemirror";
import "codemirror/lib/codemirror.css";
import vuescroll from "vuescroll"; //引入vuescroll
import "vuescroll/dist/vuescroll.css"; //引入vuescroll样式
import VueDraggableResizable from 'vue-draggable-resizable'
import config from '@/config'
import 'vue-draggable-resizable/dist/VueDraggableResizable.css'

Vue.component('vue-draggable-resizable', VueDraggableResizable)

Vue.use(ElementUI);
Vue.use(vuescroll); //使用
Vue.use(VueCodeMirror);

Vue.prototype.api = api;
Vue.prototype.$get = get;
Vue.prototype.$post = post;
Vue.prototype.$del = del;
Vue.prototype.$put = put;

Vue.prototype.$config = config

Vue.config.productionTip = false;
const curriculumName = util.getCookie('curriculumName')
document.title = curriculumName ? unescape(curriculumName) : 'python'
router.beforeEach((to, from, next) => {
  next()
})

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app");